The BOOST_PP_FILENAME_x macro is a user-defined named external argument used by BOOST_PP_ITERATE. It denotes the file to be iterated over.

#### Usage

#define BOOST_PP_FILENAME_x filename

#### Arguments

x
  The iteration depth of the next file-iteration. This value must be the current iteration depth + 1.
filename
  A quoted or angle-bracketed filename to used as the target of a file-iteration.

#### Remarks

This macro is part of the secondary method of passing arguments to BOOST_PP_ITERATE. The other part is BOOST_PP_ITERATION_LIMITS.
This macro is automatically undefined for reuse by a call to BOOST_PP_ITERATE.

#### See Also

- BOOST_PP_ITERATE
- BOOST_PP_ITERATION_LIMITS

© Copyright Housemarque Oy 2002 © Copyright Paul Mensonides 2002

Distributed under the Boost Software License, Version 1.0. (See accompanying file LICENSE_1_0.txt or copy at www.boost.org/LICENSE_1_0.txt)